Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Components::CCM2Context Interface Reference

`import "CCM_Container_Ex.idl";`

Inheritance diagram for Components::CCM2Context:

[legend]
Collaboration diagram for Components::CCM2Context:

[legend]
List of all members.

## Public Methods
HomeRegistration | get_home_registration ()
void | req_passivate () raises (PolicyMismatch)
CatalogBase | get_persistence (in _TypeId catalog_type_id) raises (PersistenceNotAvailable)
HomeRegistration | get_home_registration ()
void | req_passivate () raises (PolicyMismatch)
CatalogBase | get_persistence (in _TypeId catalog_type_id) raises (PersistenceNotAvailable)

## Member Function Documentation

HomeRegistration Components::CCM2Context::get_home_registration | ( |  | ) |

HomeRegistration Components::CCM2Context::get_home_registration | ( |  | ) |

CatalogBase Components::CCM2Context::get_persistence | ( | in _TypeId | catalog_type_id | ) | raises (PersistenceNotAvailable)

CatalogBase Components::CCM2Context::get_persistence | ( | in _TypeId | catalog_type_id | ) | raises (PersistenceNotAvailable)

void Components::CCM2Context::req_passivate | ( |  | ) | raises (PolicyMismatch)

void Components::CCM2Context::req_passivate | ( |  | ) | raises (PolicyMismatch)

The documentation for this interface was generated from the following files:

- CCM_Container_Ex.idl
- Component_Base.idl